package com.lightinit.hsdatashow.model.admin;

import com.lightinit.hsdatashow.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

public class UserEditModel {

    private Long id ;

    @NotEmpty
    @FieldDescriber(descripton = "用户账号")
    private String username ;

    @NotEmpty
    @FieldDescriber(descripton = "用户全称")
    private String showname ;

    private String salt ;

    private Integer accountlock;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getShowname() {
        return showname;
    }

    public void setShowname(String showname) {
        this.showname = showname;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public Integer getAccountlock() {
        return accountlock;
    }

    public void setAccountlock(Integer accountlock) {
        this.accountlock = accountlock;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
